perl-Module-ExtractUse-0.23-1.of.el6.noarch.rpm


Advertisement

Description

perl-Module-ExtractUse - Find out what modules are used

Property Value
Distribution CentOS 6
Repository Open Fusion i386
Package filename perl-Module-ExtractUse-0.23-1.of.el6.noarch.rpm
Package name perl-Module-ExtractUse
Package version 0.23
Package release 1.of.el6
Package architecture noarch
Package type rpm
Category Development/Libraries
Homepage http://search.cpan.org/dist/Module-ExtractUse/
License GPL+ or Artistic
Maintainer -
Download size 20.76 KB
Installed size 218.48 KB
Module::ExtractUse is basically a Parse::RecDescent grammar to parse Perl
code. It tries very hard to find all modules (whether pragmas, Core, or
from CPAN) used by the parsed code.

Alternatives

Package Version Architecture Repository
perl-Module-ExtractUse-0.342-1.of.el6.noarch.rpm 0.342 noarch Open Fusion
perl-Module-ExtractUse-0.342-1.of.el6.noarch.rpm 0.342 noarch Open Fusion
perl-Module-ExtractUse-0.23-4.el6.noarch.rpm 0.23 noarch EPEL
perl-Module-ExtractUse-0.23-4.el6.noarch.rpm 0.23 noarch EPEL
perl-Module-ExtractUse-0.23-3.puias6.noarch.rpm 0.23 noarch PUIAS Unsupported
perl-Module-ExtractUse-0.23-3.puias6.noarch.rpm 0.23 noarch PUIAS Unsupported
perl-Module-ExtractUse-0.23-3.puias6.noarch.rpm 0.23 noarch PUIAS Computational
perl-Module-ExtractUse-0.23-3.puias6.noarch.rpm 0.23 noarch PUIAS Computational
perl-Module-ExtractUse-0.23-1.of.el6.noarch.rpm 0.23 noarch Open Fusion
perl-Module-ExtractUse - - -

Requires

Name Value
perl >= 5.008
perl(:MODULE_COMPAT_5.10.1) -
perl(Carp) -
perl(Parse::RecDescent) >= 1.94
perl(Parse::RecDescent) -
perl(Pod::Strip) -
perl(Pod::Strip) >= 1.00
perl(strict) -
perl(vars) -
perl(version) -
perl(warnings) -

Provides

Name Value
perl(Module::ExtractUse) -
perl(Module::ExtractUse::Grammar) -
perl(Parse::RecDescent::Module::ExtractUse::Grammar) -
perl-Module-ExtractUse = 0.23-1.of.el6

Download

Type URL
Mirror repo.openfusion.net
Binary Package perl-Module-ExtractUse-0.23-1.of.el6.noarch.rpm
Source Package perl-Module-ExtractUse-0.23-1.of.el6.src.rpm

Install Howto

  1. Download latest openfusion-release rpm from
    http://repo.openfusion.net/centos6-i386/
  2. Install openfusion-release rpm:
    # rpm -Uvh openfusion-release*rpm
  3. Install perl-Module-ExtractUse rpm package:
    # yum install perl-Module-ExtractUse

Files

Path
/usr/share/doc/perl-Module-ExtractUse-0.23/Changes
/usr/share/doc/perl-Module-ExtractUse-0.23/README
/usr/share/doc/perl-Module-ExtractUse-0.23/TODO
/usr/share/man/man3/Module::ExtractUse.3pm.gz
/usr/share/perl5/vendor_perl/Module/ExtractUse.pm
/usr/share/perl5/vendor_perl/Module/ExtractUse/Grammar.pm

Changelog

2011-02-07 - Gavin Carr <gavin@openfusion.com.au> 0.23-1
- Specfile autogenerated by cpanspec 1.78.

See Also

Package Description
perl-Module-Faker-0.012-1.of.el6.noarch.rpm Build fake dists for testing CPAN tools
perl-Module-Find-0.10-1.of.el6.noarch.rpm Find and use installed modules in a (sub)category
perl-Module-Find-0.12-1.of.el6.noarch.rpm Find and use installed modules in a (sub)category
perl-Module-Implementation-0.06-1.of.el6.noarch.rpm Loads one of several alternate underlying implementations for a module
perl-Module-Implementation-0.07-1.of.el6.noarch.rpm Loads one of several alternate underlying implementations for a module
perl-Module-Info-0.32-1.of.el6.noarch.rpm Information about Perl modules
perl-Module-Install-1.00-1.of.el6.noarch.rpm Standalone, extensible Perl module installer
perl-Module-Install-1.06-1.of.el6.noarch.rpm Standalone, extensible Perl module installer
perl-Module-Install-1.10-1.of.el6.noarch.rpm Standalone, extensible Perl module installer
perl-Module-Install-1.12-1.of.el6.noarch.rpm Standalone, extensible Perl module installer
perl-Module-Install-AuthorTests-0.002-1.of.el6.noarch.rpm Module::Install::AuthorTests Perl module
perl-Module-Install-GithubMeta-0.26-1.of.el6.noarch.rpm Module::Install extension to include GitHub meta information in META.yml
perl-Module-Install-Repository-0.06-1.of.el6.noarch.rpm Automatically sets repository URL from svn/svk/Git checkout
perl-Module-Load-0.18-1.of.el6.noarch.rpm Runtime require of both modules and files
perl-Module-Load-0.22-1.of.el6.noarch.rpm Runtime require of both modules and files
Advertisement
Advertisement